package com.sifang.modules.sys.util;


public class TranslationUtils {


    //    商品性质（1、正品 2.样机 3.残次品 4赠品）
    public static String transGoodProperty(String prop) {
        if ("1".equals(prop)) {
            return "正品";
        }
        if ("2".equals(prop)) {
            return "样机";
        }
        if ("3".equals(prop)) {
            return "残次品";
        }
        if ("4".equals(prop)) {
            return "赠品";
        }
        return "";
    }

    // 投诉类别
    public static String transComplaintType(String type) {
        if ("0".equals(type)) {
            return "工单";
        } else if ("1".equals(type)) {
            return "其他";
        }
        return "";
    }

    //投诉对象
    public static String transComplaintObj(String obj) {
        if ("0".equals(obj)) {
            return "工程师";
        } else if ("1".equals(obj)) {
            return "消费者";
        } else if ("2".equals(obj)) {
            return "平台人员";
        }
        return "";
    }

    //处理结果
    public static String transComplaintResult(String obj) {
        if ("0".equals(obj)) {
            return "待处理";
        } else if ("1".equals(obj)) {
            return "待评价";
        } else if ("2".equals(obj)) {
            return "已完成";
        }
        return "";
    }

    //投诉记录的被投诉人信息类别
    public static String transFeedbackInfoType(String obj) {
        if ("1".equals(obj)) {
            return "姓名";
        } else if ("2".equals(obj)) {
            return "手机";
        } else if ("3".equals(obj)) {
            return "QQ";
        } else if ("4".equals(obj)) {
            return "工号";
        }
        return "";
    }

    //保修类型
    public static String transWarrantyType(String type) {
        if ("1".equals(type)) {
            return "保内";
        } else if ("2".equals(type)) {
            return "保外";
        }
        return "";
    }
    //保修类型
    public static String transJzFlag(String type) {
        if ("0".equals(type)) {
            return "未结账";
        } else if ("1".equals(type)) {
            return "已结账";
        }else if("2".equals(type)){
            return "处理中";
        }
        return "";
    }
    //结算类型
    public static String transJsType(String type) {
        if ("0".equals(type)) {
            return "工单派工结算";
        } else if ("1".equals(type)) {
            return "新增结算";
        }
        return "";
    }



}
